Prepare a private buyer account mapping feed upload
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/account-mappings/imports/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceRevision": "<string>",
"coveredInventorySourceKeys": [
"<string>"
],
"file": {
"name": "source_account_bindings.csv",
"sha256": "<string>",
"sizeBytes": 5000000,
"rowCount": 5000
}
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/imports/prepare"
payload = {
"sourceRevision": "<string>",
"coveredInventorySourceKeys": ["<string>"],
"file": {
"name": "source_account_bindings.csv",
"sha256": "<string>",
"sizeBytes": 5000000,
"rowCount": 5000
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceRevision: '<string>',
coveredInventorySourceKeys: ['<string>'],
file: {
name: 'source_account_bindings.csv',
sha256: '<string>',
sizeBytes: 5000000,
rowCount: 5000
}
})
};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/imports/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"feedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "uploading",
"uploadUrl": "<string>",
"uploadHeaders": {},
"uploadExpiresAt": "2023-11-07T05:31:56Z",
"contentFingerprint": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Prepare a private buyer account mapping feed upload
ADMIN-only. Reserve an immutable feed revision and return a short-lived signed PUT capability for exactly one source_account_bindings.csv. The upload bucket is private and lifecycle-deleted.
POST
/
account-mappings
/
imports
/
prepare
Prepare a private buyer account mapping feed upload
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/account-mappings/imports/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceRevision": "<string>",
"coveredInventorySourceKeys": [
"<string>"
],
"file": {
"name": "source_account_bindings.csv",
"sha256": "<string>",
"sizeBytes": 5000000,
"rowCount": 5000
}
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/imports/prepare"
payload = {
"sourceRevision": "<string>",
"coveredInventorySourceKeys": ["<string>"],
"file": {
"name": "source_account_bindings.csv",
"sha256": "<string>",
"sizeBytes": 5000000,
"rowCount": 5000
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceRevision: '<string>',
coveredInventorySourceKeys: ['<string>'],
file: {
name: 'source_account_bindings.csv',
sha256: '<string>',
sizeBytes: 5000000,
rowCount: 5000
}
})
};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/imports/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"feedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "uploading",
"uploadUrl": "<string>",
"uploadHeaders": {},
"uploadExpiresAt": "2023-11-07T05:31:56Z",
"contentFingerprint": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Required string length:
1 - 200Available options:
snapshot, delta Required array length:
1 - 100 elementsRequired string length:
1 - 128Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Prepare a private buyer account mapping feed upload
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
uploading Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^[a-f0-9]{64}$